package com.bernhardriedl.projects.henonattractor.logic;

public class IteratorTask extends Thread {

  private boolean stop=false;

  private Iterator iterator;

 /**
   *
   * @param a a
   * @param b b
   */

  public IteratorTask(double a, double b){

    this.iterator=new Iterator(a,b,true);
  }

  /**
   * runs the Task
   */

  public void run() {

    while(stop == false) {
    	this.iterator.repaint();

      synchronized(this) {
        try {
          sleep(20);
        }
        catch (InterruptedException e) {
          return;
        }
      }
    }
  }

  /**
   * setStop
   * @param stop boolean
   */

  public void setStop(boolean stop) {
    this.stop=stop;
  }

  public Iterator getIterate() {
    return this.iterator;
  }

}
